<!DOCTYPE html>
<html>
<head>
	<title>Liste Electeurs</title>
	<link rel="stylesheet" type="text/css" href="styleListeEtudiant.css">
</head>
<body>
    <div class="container"><!--image premier plan-->
      <div class="navbar">
        <div class="menu">
          <h3 class="logo">Usto-mb MI</h3>
          <div class="menuDroit">
            <div class="bouttonBar"></div>
          </div>
        </div>
      </div>

      <div class="main-container">
        <div class="main">
          <header>
            <div class="planAcceuil">
              <div class="inner">
                <?php
                	$username="root";
                	$password="";
                	$hostname="localhost";

                	$connexion = new PDO("mysql:host=$hostname;dbname=etudiant;charset=utf8mb4",$username,$password);
                    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                    $connexion->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
                    //connexion a la base de donnee

                    $electeurs=$connexion->prepare("SELECT * FROM electeurs");
                    $electeurs->execute(array());
                    $req1=$electeurs->fetchAll();

                    $nombreEtudiant=$connexion->prepare("SELECT COUNT(*) AS numEtudiant FROM electeurs");
                    $nombreEtudiant->execute(array());
                    $req2  = $nombreEtudiant->fetch(PDO::FETCH_ASSOC);
                    //on calcule le nombre d'etudiant pour connaitre le nombre de ligne

                    $colonne=array_column($req1, "numEtudiant");
                    array_multisort($colonne,SORT_ASC,$req1);


                ?>
                <b class="title">Liste des electeurs</b>
                <br>
                <br>
                <br>

                <table border>
              
                	<tr>
                		<th>Numero Etudiant</th>
                		<th>Nom</th>
                		<th>Prenom</th>
                		<th>Date de naissance</th>
                		<th>Mail</th>
                		<th>Section</th>
                		<th>Groupe</th>
                	</tr>
                	<?php
                		for ($i=0; $i < $req2["numEtudiant"]; $i++) 
                		{ 
                			?>
                			<tr>
                				<td>
                					<?php echo $req1[$i]["numEtudiant"]; ?>
                				</td>
                				<td>
                					<?php echo $req1[$i]["Nom"]; ?>		
                				</td>
                				<td>
                					<?php echo $req1[$i]["Prenom"]; ?>
                				</td>
                				<td>
                					<?php echo $req1[$i]["dateNaiss"]; ?>               						
                				</td>
                				<td>
                					<?php echo $req1[$i]["mail"]; ?>                						
                				</td>
                				<td>
                					<?php echo $req1[$i]["Section"]; ?>               						
                				</td>
                				<td>
                					<?php echo $req1[$i]["Groupe"];?>               						
                				</td>
                			</tr>
                			<?php
                		}
                	?>
                
                </table>
              </div>
            </div>
          </header>
        </div>

        <div class="shadow one"></div>
        <div class="shadow two"></div>
      </div>

      <div class="links">
        <ul>
          <li>
            <a href="Acceuil.html">Acceuil</a>
          </li>
          <li>
            <a href="index2.html">Index</a>
          </li>
          <li>
            <a href="ListeEtudiant.php">Liste des Electeurs</a>
          </li>
          <li>
            <a href="listeCandidat.php">Liste des Condidats</a>
          </li>
          <li>
            <a href="vote.php">Vote</a>
          </li>
          <li>
            <a href="Resultat.php">Resultat</a>
          </li>
          <li>
            <a href="inscription.html">inscription</a>
          </li>
          <li>
            <a href="https://www.univ-usto.dz/">Universite</a>
          </li>
        </ul>
      </div>
    </div>

    <script src="javaScript/app.js"></script>
</body>
</html>