<!DOCTYPE html>
<html>
<head>
	<title>Resultat</title>
	

    <link rel="stylesheet" href="styleResultat.css">
</head>

  <body>
    <div class="container"><!--image premier plan-->
      <div class="navbar">
        <div class="menu">
          <h3 class="logo">Usto-mb MI</h3>
          <div class="menuDroit">
            <div class="bouttonBar"></div>
          </div>
        </div>
      </div>

      <div class="main-container">
        <div class="main">
          <header>
            <div class="planAcceuil">
              <div class="inner">
                <section>
                    <br>
                    <br>
                    <br>

                  <?php
                    $username="root";
                    $password="";
                    $hostname='localhost';

                    $connexion = new PDO("mysql:host=$hostname;dbname=etudiant;charset=utf8mb4",$username,$password);
                    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                    $connexion->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
                    //connexion a la base de donnee

                    $nombreInscrit1 = $connexion->prepare("SELECT COUNT(*) AS numEtudiant FROM electeurs");
                    $nombreInscrit1->execute(array());
                    $req1  = $nombreInscrit1->fetch(PDO::FETCH_ASSOC);
                    // on calcule le nombre d'etudiants inscrit en tant qu'electeur

                    $nombreInscrit2 = $connexion->prepare("SELECT COUNT(*) AS numEtudiant FROM candidat");
                    $nombreInscrit2->execute(array());
                    $req2 = $nombreInscrit2->fetch(PDO::FETCH_ASSOC);
                    // on calcule le nombre d'etudiants inscrit en tant que candidat

                    $nombreVotant = $connexion->prepare("SELECT COUNT(*) AS numEtudiant FROM vote");
                    $nombreVotant->execute(array());
                    $totalVote = $nombreVotant->fetch(PDO::FETCH_ASSOC);
                    // on voit le total des etudiants ayant voter

                    $totalVote=$totalVote['numEtudiant'];
                    
                    $totaleEtudiant=$req2['numEtudiant']+$req1['numEtudiant'];

                    
                    if ($totalVote==$totaleEtudiant) { // on verifie si tout le monde a voter ou non
                  ?>
                        <b class="notification">voici les resultats finaux</b>
                        <?php
                    }else{
                        ?>
                            <b class="notification">Voici les resultat temporaire</b>
                        <?php
                    }

                    $requete = $connexion->prepare("SELECT * FROM vote ");
                    $requete->execute(array());
                    $resultVote=$requete->fetchall(PDO::FETCH_ASSOC);
                    //on recupere les resultats du vote

                    $inscrit = $connexion->prepare("SELECT * FROM candidat ");
                    $inscrit->execute(array());
                    $etudiantCandidat=$inscrit->fetchall(PDO::FETCH_ASSOC);
                    //on recuperent les electeurs

                    $numCandiat1=$etudiantCandidat[0]['numEtudiant'];
                    $numCandiat2=$etudiantCandidat[1]['numEtudiant'];
                    $numCandiat3=$etudiantCandidat[2]['numEtudiant'];
                    $numCandiat4=$etudiantCandidat[3]['numEtudiant'];
                    $numCandiat5=$etudiantCandidat[4]['numEtudiant'];
                    //on garde les numeros des candidat pour pouvoir les comparer plus tard


                    $resultat=array(
                      array(
                        'ID'=>$numCandiat1,
                        'Nom'=>$etudiantCandidat[0]['Nom'],
                        'Prenom'=>$etudiantCandidat[0]['Prenom'],
                        'Vote'=>0),
                      array(
                        'ID'=>$numCandiat2,
                        'Nom'=>$etudiantCandidat[1]['Nom'],
                        'Prenom'=>$etudiantCandidat[1]['Prenom'],
                        'Vote'=>0),
                      array(
                        'ID'=>$numCandiat3,
                        'Nom'=>$etudiantCandidat[2]['Nom'],
                        'Prenom'=>$etudiantCandidat[2]['Prenom'],
                        'Vote'=>0),
                      array(
                        'ID'=>$numCandiat4,
                        'Nom'=>$etudiantCandidat[3]['Nom'],
                        'Prenom'=>$etudiantCandidat[3]['Prenom'],
                        'Vote'=>0),
                      array(
                        'ID'=>$numCandiat4,
                        'Nom'=>$etudiantCandidat[4]['Nom'],
                        'Prenom'=>$etudiantCandidat[4]['Prenom'],
                        'Vote'=>0)
                    );
                    // on cree une matrice contenant touts les candidat et leurs id nom et prenom et le nombre de vote qu'ils ont recu

                    for ($i=0; $i<$totalVote; $i++) 
                    {
                        if($resultVote[$i]['NumeroCandidat']==$numCandiat1)
                        {
                            $resultat[0]['Vote']=$resultat[0]['Vote']+1;
                        }
                        else if($resultVote[$i]['NumeroCandidat']==$numCandiat2)
                        {
                            $resultat[1]['Vote']=$resultat[1]['Vote']+1;
                        }
                        else if($resultVote[$i]['NumeroCandidat']==$numCandiat3)
                        {
                            $resultat[2]['Vote']=$resultat[2]['Vote']+1;
                        }    
                        else if($resultVote[$i]['NumeroCandidat']==$numCandiat4)
                       {
                            $resultat[3]['Vote']=$resultat[3]['Vote']+1;
                       }
                        else if($resultVote[$i]['NumeroCandidat']==$numCandiat5)
                        {
                            $resultat[4]['Vote']=$resultat[4]['Vote']+1;
                        }
                    }
                    // on calcul le nombre de voix qu'a recu chaque candidat
                    $colonne= array_column($resultat,'Vote');//on selectionne la collonne des voix
                    array_multisort($colonne,SORT_DESC,$resultat);
                    //on trie notre matrice par rapport a la collonne selectionner

                    $pourcentage1=number_format($resultat[0]['Vote']/$totalVote *100);
                    $pourcentage2=number_format($resultat[1]['Vote']/$totalVote *100);
                    $pourcentage3=number_format($resultat[2]['Vote']/$totalVote*100);
                    $pourcentage4=number_format($resultat[3]['Vote']/$totalVote*100);
                    $pourcentage5=number_format($resultat[4]['Vote']/$totalVote*100);


                ?>

                </section>
                <br>
                <br>
                <p class="message">
                    <b class="announce">Felicitation au delegué(e):</b>

                    <?php echo $resultat[0]["Nom"];
                    echo " ".$resultat[0]["Prenom"];?>
                </p>

                <p class="message">
                    <b class="announce">Felicitation au vice delegué(e):</b>
                    
                    <?php echo $resultat[1]["Nom"];
                    echo " ".$resultat[1]["Prenom"];?>
                </p>

                <br>
                <br>
                <p  class="notification">
                    <b>
                        Voici les pourcentages de vote:
                    </b>
                </p>
                <br>

                <p class="result">
                    <b class="candidat">candidat: </b>
                    <?php echo $resultat[0]['Nom'];
                    echo " ".$resultat[0]['Prenom']; ?>

                    <div class="result-bar" data-label="<?php echo"$pourcentage1%";?> " style="--width: <?php  echo "$pourcentage1"; ?>"></div>
                </p>

                <br>
                
                <p class="result">
                    <b class="candidat">candidat: </b>
                    <?php echo $resultat[1]['Nom'];
                    echo " ".$resultat[1]['Prenom']; ?>

                    <div class="result-bar" data-label="<?php echo"$pourcentage2%";?>"  style="--width: <?php  echo "$pourcentage2"; ?>"></div>
                </p>

                <br>
                
                <p class="result">
                    <b class="candidat">candidat: </b>
                    <?php echo $resultat[2]['Nom'];
                    echo " ".$resultat[2]['Prenom']; ?>

                    <div class="result-bar" data-label="<?php echo"$pourcentage3%";?>"  style="--width: <?php echo "$pourcentage3";; ?>"></div>
                </p>

                <br>
                
                <p class="result">
                    <b class="candidat">candidat: </b>
                    <?php echo $resultat[3]['Nom'];
                    echo " ".$resultat[3]['Prenom']; ?>

                    <div class="result-bar" data-label="<?php echo"$pourcentage4%";?>"  style="--width: <?php echo "$pourcentage4"; ?>"></div>
                </p>

                <br>
                
                <p class="result">
                    <b class="candidat">candidat: </b>
                    <?php echo $resultat[4]['Nom'];
                    echo " ".$resultat[4]['Prenom']; ?>

                    <div class="result-bar" data-label="<?php echo"$pourcentage5%";?>"  style="--width: <?php  echo "$pourcentage5"; ?>"></div>
                </p>
                
                
            </div>
          </header>
        </div>

        <div class="shadow one"></div>
        <div class="shadow two"></div>
      </div>

      <div class="links">
        <ul>
          <li>
            <a href="Acceuil.html">Acceuil</a>
          </li>
          <li>
            <a href="index2.html">Index</a>
          </li>
          <li>
            <a href="ListeEtudiant.php">Liste des Etudiants</a>
          </li>
          <li>
            <a href="listeCandidat.php">Liste des Condidats</a>
          </li>
          <li>
            <a href="vote.php">Vote</a>
          </li>
          <li>
            <a href="Resultat.php">Resultat</a>
          </li>
          <li>
            <a href="inscription.html">inscription</a>
          </li>
          <li>
            <a href="https://www.univ-usto.dz/">Universite</a>
          </li>
        </ul>
      </div>
    </div>

    <script src="javaScript/app.js"></script>
  </body>
</html>

</body>
</html>