<!DOCTYPE html>
<html>
<head>
  <title>Vote</title>
  <link rel="stylesheet" href="StyleVote.css">
</head>

  <body>
    <div class="container"><!--image premier plan-->
      <div class="navbar">
        <div class="menu">
          <h3 class="logo">Usto-mb MI</h3>
          <div class="menuDroit">
            <div class="bouttonBar"></div>
          </div>
        </div>
      </div>

      <div class="main-container">
        <div class="main">
          <header>
            <div class="planAcceuil">
              <div class="inner">
                <?php
                  $hostname='localhost';
                  $username='root';
                  $password='';
                  try{
                      $connexion = new PDO("mysql:host=$hostname;dbname=etudiant;charset=utf8mb4",$username,$password);
                      $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                      $connexion->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
                      $requete = $connexion->prepare("SELECT * FROM candidat");
                      $requete->execute(array());
                      $result=$requete->fetchall(PDO::FETCH_ASSOC);

                  }catch(PDOException $e)
                    {
                    echo"echec";
                  }
                ?>

                <b class="annotation">Afin de pouvoir voter pour elire le deleguer des L2 informatique veuillez saisir ce qui suit:
                </b>
                
                <br>
                <br>

                <form action="validationVote.php" method="POST">

                  <label for="numEtu" class="label">N° Carte Etudiant:</label>
                  <input type="int" name="numEtu"  class="input">
                  <br><br>
                  
                  <input type="radio" value="candidat1" name="candidat" id="candidat">
                  <label for="candidat" class="label">Candidat 1: </label>
                  <p>
                    <b class="libele">Nom: </b>
                    <?php
                      echo $result[0]["Nom"];
                    ?>
                  </p>
                  <p>
                    <b class="libele">Prenom: </b>
                    <?php
                      echo $result[0]["Prenom"];
                    ?>
                  </p>
                  
                  <br>

                  <input type="radio" value="candidat2" name="candidat" id="candidat">
                  <label for="candidat" class="label">Candidat 2: </label>
                  <p>
                    <b class="libele">Nom: </b>
                    <?php
                      echo $result[1]["Nom"];
                    ?>
                  </p>
                  <p>
                    <b class="libele">Prenom: </b>
                    <?php
                      echo $result[1]["Prenom"];
                    ?>
                  </p>
                  <br>

                  <input type="radio" name="candidat" value="candidat3" id="candidat">
                  <label for="candidat" class="label">Candidat 3: </label>
                  <p>
                    <b class="libele">Nom: </b>
                    <?php
                      echo $result[2]["Nom"];
                    ?>
                  </p>
                  <p>
                    <b class="libele">Prenom: </b>
                    <?php
                      echo $result[2]["Prenom"];
                    ?>
                  </p>
                  <br>

                  <input type="radio" name="candidat" value="candidat4" id="candidat">
                  <label for="candidat" class="label">Candidat 4: </label>
                  <p>
                    <b class="libele">Nom: </b>
                    <?php
                      echo $result[3]["Nom"];
                    ?>
                  </p>
                  <p>
                    <b class="libele">Prenom: </b>
                    <?php
                      echo $result[3]["Prenom"];
                    ?>
                  </p>
                  <br>

                  <input type="radio" name="candidat" value="candidat5" id="candidat">
                  <label for="candidat" class="label">Candidat 5: </label>
                  <p>
                    <b class="libele">Nom: </b>
                    <?php
                      echo $result[4]["Nom"];
                    ?>
                  </p>
                  <p>
                    <b class="libele">Prenom: </b>
                    <?php
                      echo $result[4]["Prenom"];
                    ?>
                  </p>
                  <br>

                  <input type="submit" name="valider" value="valider" class="button">
                  <input type="reset" name="annuler" value="annuler" class="button">
                </form>
              </div>
            </div>
          </header>
        </div>

        <div class="shadow one"></div>
        <div class="shadow two"></div>
      </div>

      <div class="links">
        <ul>
          <li>
            <a href="Acceuil.html">Acceuil</a>
          </li>
          <li>
            <a href="index2.html">Index</a>
          </li>
          <li>
            <a href="ListeEtudiant.php">Liste des Etudiants</a>
          </li>
          <li>
            <a href="listeCandidat.php">Liste des Condidats</a>
          </li>
          <li>
            <a href="vote.php">Vote</a>
          </li>
          <li>
            <a href="Resultat.php">Resultat</a>
          </li>
          <li>
            <a href="inscription.html">inscription</a>
          </li>
          <li>
            <a href="https://www.univ-usto.dz/">Universite</a>
          </li>
        </ul>
      </div>
    </div>

    <script src="javaScript/app.js"></script>
  </body>
</html>

</body>
</html>